Show / Hide Table of Contents

# Class OpenIddictServerAspNetCoreHandler

Provides the logic necessary to extract, validate and handle OpenID Connect requests.

##### Inheritance

System.Object
OpenIddictServerAspNetCoreHandler

##### Implements

IAuthenticationRequestHandler
IAuthenticationSignInHandler
IAuthenticationSignOutHandler

###### Namespace: OpenIddict.Server.AspNetCore

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictServerAspNetCoreHandler : AuthenticationHandler<OpenIddictServerAspNetCoreOptions>, IAuthenticationRequestHandler, IAuthenticationSignInHandler, IAuthenticationSignOutHandler

### Constructors

#### OpenIddictServerAspNetCoreHandler(IOpenIddictServerDispatcher, IOpenIddictServerFactory, IOptionsMonitor<OpenIddictServerAspNetCoreOptions>, ILoggerFactory, UrlEncoder, ISystemClock)

Creates a new instance of the OpenIddictServerAspNetCoreHandler class.

##### Declaration

    public OpenIddictServerAspNetCoreHandler(IOpenIddictServerDispatcher dispatcher, IOpenIddictServerFactory factory, IOptionsMonitor<OpenIddictServerAspNetCoreOptions> options, ILoggerFactory logger, UrlEncoder encoder, ISystemClock clock)

##### Parameters

Type | Name | Description
--- | --- | ---
IOpenIddictServerDispatcher | dispatcher |
IOpenIddictServerFactory | factory |
IOptionsMonitor<OpenIddictServerAspNetCoreOptions> | options |
ILoggerFactory | logger |
UrlEncoder | encoder |
ISystemClock | clock |

### Methods

#### HandleAuthenticateAsync()

##### Declaration

    protected override Task<AuthenticateResult> HandleAuthenticateAsync()

##### Returns

Type | Description
--- | ---
Task<AuthenticateResult> |

#### HandleChallengeAsync(Nullable<AuthenticationProperties>)

##### Declaration

    protected override Task HandleChallengeAsync(AuthenticationProperties? properties)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Nullable<AuthenticationProperties> | properties |

##### Returns

Type | Description
--- | ---
Task |

#### HandleForbiddenAsync(Nullable<AuthenticationProperties>)

##### Declaration

    protected override Task HandleForbiddenAsync(AuthenticationProperties? properties)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Nullable<AuthenticationProperties> | properties |

##### Returns

Type | Description
--- | ---
Task |

#### HandleRequestAsync()

##### Declaration

    public Task<bool> HandleRequestAsync()

##### Returns

Type | Description
--- | ---
Task<System.Boolean> |

#### SignInAsync(ClaimsPrincipal, Nullable<AuthenticationProperties>)

##### Declaration

    public Task SignInAsync(ClaimsPrincipal user, AuthenticationProperties? properties)

##### Parameters

Type | Name | Description
--- | --- | ---
ClaimsPrincipal | user |
System.Nullable<AuthenticationProperties> | properties |

##### Returns

Type | Description
--- | ---
Task |

#### SignOutAsync(Nullable<AuthenticationProperties>)

##### Declaration

    public Task SignOutAsync(AuthenticationProperties? properties)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Nullable<AuthenticationProperties> | properties |

##### Returns

Type | Description
--- | ---
Task |

### Implements

IAuthenticationRequestHandler
IAuthenticationSignInHandler
IAuthenticationSignOutHandler